Subject: Re: git fetch -- double fetch

From: Andy Whitcroft <[email-masked]>
Date: Sun, 7 Oct 2007 22:44:33 +0100

On Sun, Oct 07, 2007 at 05:29:38PM +0100, Johannes Schindelin wrote:
> Hi,
> 
> On Sat, 6 Oct 2007, Andy Whitcroft wrote:
> 
> > I have recently been seeing repeated fetching of some branches.  I feel
> > this has happened in at least three of my repos on three distinct
> > projects:
> > 
> > apw@pinky$ git fetch origin
> > remote: Generating pack...
> > remote: Done counting 5 objects.
> > remote: Deltifying 5 objects...
> > remote:  100% (5/5) done
> > Unpacking 5 objects...
> > remote: Total 5 (delta 0), reused 0 (delta 0)
> >  100% (5/5) done
> > * refs/remotes/origin/master: fast forward to branch 'master' of ssh://git@abat-dev/var/www/git/abat
> >   old..new: ce046f0..41c9dde
> > * refs/remotes/origin/master: fast forward to branch 'master' of ssh://git@abat-dev/var/www/git/abat
> >   old..new: ce046f0..41c9dde
> 
> What does "git config --get-all remote.origin.fetch" say?

apw@pinky$ git config --get-all remote.origin.fetch
+refs/heads/master:refs/remotes/origin/master
+refs/heads/*:refs/remotes/origin/*
apw@pinky$

I don't think that I did anything to this config, I think that is what
the clone setup for me.

-apw